%define    major     1
%define    minor     5
%define    libname   %mklibname yalib %{major}
%define    develname %mklibname yalib -d

Name:      yalib
Version:   1.8
Release:   %mkrel 4
Summary:   YaFlight and YaInstall shared library
Group:     System/Libraries
License:   GPLv3
URL:       https://github.com/xquiet/yalib
Source0:   https://github.com/xquiet/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:    yalib-cmake-4.0.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	cmake

%description
yalib is a shared library written entirely in C++ and Qt to provide
common access methods to FlightGear resources for YaFlight and YaInstall.

#----------------------------------------------------------

%package -n %libname
Summary:      %{summary}
Group:        System/Libraries
Provides:     %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with yalib.

%files -n %libname
%doc README.md
%license src/COPYING*
%{_libdir}/lib*.so.%{major}{,.*}

#----------------------------------------------------------

%package -n %develname
Summary:      yalib header files
Group:        Development/C++
Requires:     %{libname} >= %{version}
Requires:     pkgconfig(Qt5Core)
Provides:     %{name}-devel = %{version}-%{release}

%description -n %develname
This is the development package for yalib.

%files -n %develname
%{_libdir}/lib*.so
%dir %{_includedir}/yalib
%{_includedir}/yalib/*.h

#----------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 1.8-4.mga10
+ Revision: 2246854
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 1.8-3.mga9
+ Revision: 1842246
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.8-2.mga8
+ Revision: 1660334
- Rebuild for new Qt5

* Thu Apr 23 2020 matteo <matteo> 1.8-1.mga8
+ Revision: 1571506
- new version 1.8
- new version 1.8

* Sat Feb 15 2020 umeabot <umeabot> 1.7-8.mga8
+ Revision: 1525184
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 1.7-7.mga7
+ Revision: 1385330
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.7-6.mga7
+ Revision: 1302016
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 daviddavid <daviddavid> 1.7-5.mga7
+ Revision: 1234549
- add patch to fix build with new Qt5 >= 5.11.0

* Sat Jan 30 2016 umeabot <umeabot> 1.7-4.mga6
+ Revision: 929069
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-3.mga5
+ Revision: 747043
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-2.mga5
+ Revision: 690822
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 matteo <matteo> 1.7-1.mga5
+ Revision: 637873
- new version 1.7

* Fri Jun 13 2014 matteo <matteo> 1.6-1.mga5
+ Revision: 635910
- new version 1.6 (fixes flightgear data path detection)
- new version 1.5 (migr. from qmake to cmake)

* Sat Oct 19 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 531783
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 matteo <matteo> 1.2-2.mga4
+ Revision: 465332
- bumped release
- fixed bad requirement

* Sat Aug 10 2013 matteo <matteo> 1.2-1.mga4
+ Revision: 465277
- new version 1.2
- built against Qt5

* Fri Mar 01 2013 matteo <matteo> 1.0-0.git20130225.1.mga3
+ Revision: 400895
- new minor release

* Sun Feb 24 2013 matteo <matteo> 1.0-0.git20130224.1.mga3
+ Revision: 400290
- new minor release

* Sat Feb 09 2013 matteo <matteo> 1.0-0.git20130209.1.mga3
+ Revision: 397484
- fixed release
- fixed url
- imported package yalib

